Bug 1735995 - libffado: FTBFS in Fedora rawhide/f31
Summary: libffado: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libffado
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1737202 1737206
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 13:41 UTC by Fedora Release Engineering
Modified: 2019-09-21 00:02 UTC (History)
3 users (show)

Fixed In Version: libffado-2.4.1-8.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 00:02:47 UTC


Attachments (Terms of Use)
build.log (6.05 KB, text/plain)
2019-08-01 13:41 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 13:41 UTC, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2019-08-01 13:41 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 13:41:39 UTC
libffado failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36634929


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix libffado at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
libffado will be orphaned. Before branching of Fedora 32,
libffado will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 13:41:41 UTC
Created attachment 1597450 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-01 13:41:45 UTC
Created attachment 1597451 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 13:41:46 UTC
Created attachment 1597452 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 17:07:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:32:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Fedora Update System 2019-09-18 14:01:20 UTC
FEDORA-2019-b8decac0c8 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b8decac0c8

Comment 7 Fedora Update System 2019-09-19 02:30:09 UTC
libffado-2.4.1-8.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b8decac0c8

Comment 8 Fedora Update System 2019-09-21 00:02:47 UTC
libffado-2.4.1-8.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.